Subject: Re: [PATCH v2 05/11] i18n: tag.c factorize i18n strings

From: Jean-Noël AVILA <[email-masked]>
Date: Wed, 29 Dec 2021 15:05:59 +0100

On Tuesday, 28 December 2021 01:16:40 CET Junio C Hamano wrote:
> Ævar Arnfjörð Bjarmason <[email-masked]> writes:
> 
> > Does it really matter? I.e. we've got plenty of options parsing code in
> > various places that might complain about issues A and B with your
> > command-line, but will only emit one of those at a time.
> > ...
> > But until such an improvement something as trivial as minimizing the
> > diff size (i.e. not needing "if" -> "else if") seems preferrable to
> > slavishly maintaining compatibility with the exact sequence of errors
> > we'd emit before.
> 
> The patch is already touching every other line.  Making the change
> into a replacement of solid block into another solid block would
> probably make the resulting patch easier to read.
> 
> And by doing so, the submitter demonstrates to reviewers that they
> _care_, as such an attention to detail is a sign that the submitter
> thought the ramifications of changing an early die() into an
> assignment that keeps going.
> 
> So, yes, it does matter.
> 

Sorry. The developer hat was taken off ; will reroll shortly.